Subject: bug#27871: [PATCH] Treat unreachable current directory as error

From: Philipp Stephani <[email-masked]>
Date: Sun, 08 Oct 2017 14:56:11 +0000

Paul Eggert <[email-masked]> schrieb am So., 8. Okt. 2017 um 08:06 Uhr:

> Philipp Stephani wrote:
> > All of the current directory functions exhibit this behavior, including
> > getwd and getcwd, so you need to make sure they are also covered.
>
> Thanks for letting us know. I installed the 2nd attached patch, which
> addresses
> this by making the patch behave more like what you originally proposed,
> while
> still avoiding the need to use file_name_absolute_p (which is about Emacs
> file
> names, not OS names).
>

That should work, thanks. FTR, this behavior is documented in the Linux
manpage: http://man7.org/linux/man-pages/man2/getcwd.2.html